<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/commands/submitbug.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

function emote2(){
	$sql = new db;
	$sql -> db_Select("core", "*", "e107_name='emote'");
	$row = $sql -> db_Fetch(); extract($row);
	$emote = unserialize($e107_value);
	$str="<br />";
	$c=0;
	while(list($code, $name) = @each($emote[$c])){
		if(!$orig[$name]){
			$code = htmlentities($code);
			$str .= "\n<a href=\"javascript:addtext(' $code')\"><img src=\"".e_IMAGE."emoticons/$name\" style=\"border:0; padding-top:2px;\" alt=\"\" /></a> ";
			$orig[$name] = TRUE;
		}
		$c++;
	}
	return $str;
}

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** CHECK SECURITY                                                        **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$sql2 = new db;

$sql2 -> db_Select("bugtrack2_apps","*","bugtrack2_apps_id=$id");
$row = $sql2 -> db_Fetch();
extract($row);

$bugtrack2_apps_owner_id = substr($bugtrack2_apps_owner , 0, strpos($bugtrack2_apps_owner , "."));
$bugtrack2_apps_owner_name = substr($bugtrack2_apps_owner , (strpos($bugtrack2_apps_owner , ".")+1));

$access = FALSE;

// user access for this bug edit
if ((ADMIN)&&($pref['bugtracker2_adminedit'])) { $access = TRUE; }
if ($bugtrack2_apps_owner_id==USERID) { $access = TRUE; }
if (check_class($bugtrack2_apps_userclass)) { $access = TRUE; }

// kill out of range problem
if ($bugtrack2_apps_id==0) { $access = FALSE; }

// no access go home
if (!$access) {
	header("location:".e_SELF);
	exit;
}

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** NORMAL PROCESSING                                                     **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$replace[22] = e_SELF;
$replace[15] = $id;
$replace[16] = $bugtrack2_apps_name;
$replace[17] = $bugtrack2_apps_owner_name;
$replace[18] = $bugtrack2_apps_description;
$replace[19] = $bugtrack2_apps_version;
$replace[20] = e_BASE."user.php?id.".$bugtrack2_apps_owner_id;
$replace[26] = e_QUERY;

if (!USER) { // nobody logged in, no bug submitting
	$replace[30] = BUG_SUBMITBUG_NOTLOGGEDIN;
	$text = preg_replace($search, $replace, $BUGTRACK2_SUBMITBUGERRORSTYLE);
	$ns -> tablerender(BUG_TITLE, $text);
	exit;
}

if ($bugtrack2_apps_priority_names!="") {
	$priority_array=explode(",",$bugtrack2_apps_priority_names);
	$text ="<select name='priority' class='tbox'>";
	$a=1;
	foreach($priority_array as $c){
		if($c){
			if ($a==$bugtrack2_apps_priority_default) {
				$text .= "<option value='".$a."' selected>".$c."</option>";
			} else {
				$text .= "<option value='".$a."'>".$c."</option>";
			}
			$a=$a+1;
		}
	}
	$text .= "</select>";
	$replace[5] = $text;
}

if ($bugtrack2_apps_category!="") {
	$category_array=explode(",",$bugtrack2_apps_category);
	$text ="<select name='category' class='tbox'>";
	$a=1;
	foreach($category_array as $c){
		if($c){
			$text .= "<option value='".$c."'>".$c."</option>";
			$a=$a+1;
		}
	}
	$text .= "</select>";
	$replace[6] = $text;
}

if ($pref['bugtracker2_emoticons']) {
	$replace[27] = emote2();

	$replace[27] = preg_replace($search, $replace, $BUGTRACK2_SUBMITBUGEMOTICONSSTYLE);
}

if (IsSet($_POST['submitbug'])) {
	if ($_POST['summary'] && $_POST['description']) {
		// strip tags here when no admin and no user
		$aj = new textparse;
		$summary = $aj -> formtpa($_POST['summary'], "public");
		$description = $aj -> formtpa($_POST['description'], "public");
		// submit the bug her
		$sql -> db_Insert(
			"bugtrack2_bugs",	// table
			"0,'".time()."', '".USERID.".".USERNAME."', '".$bugtrack2_apps_owner."', 1, ".$bugtrack2_apps_id.", '".$_POST['category']."', '".$summary."', '".$description."', '".$_POST['priority']."', 0, 0, ''");
		$text = "";
		header("location:".e_SELF."?0.submitted.".$id);
	} else {
		// reedit bug submitting here with errormessage.
		// now its only redisplaying the normal skin.
		// todo: later!
		$text = preg_replace($search, $replace, $BUGTRACK2_SUBMITBUGSTYLE);
	}
} else {
	// display the formular for bug submitting
	$text = preg_replace($search, $replace, $BUGTRACK2_SUBMITBUGSTYLE);
}

// add script here...
if ($pref['bugtracker2_emoticons']) {
echo "
<script type='text/javascript'>
function addtext(sc){
	document.getElementById('submitbug').description.value +=sc;
}
</script>";
}

$ns -> tablerender(BUG_TITLE_SUBMIT, $text);

?>
