<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/config/page1.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

if (IsSet($_POST['submit'])) {
	// save settings here
	UpdatePostParameterBool("bugtracker2_adminedit");
	UpdatePostParameterBool("bugtracker2_emoticons");
	UpdatePostParameter("bugtracker2_appspage");
	UpdatePostParameter("bugtracker2_bugspage");
	UpdatePostParameterBool("bugtracker2_globalbugs");
	UpdatePostParameter("bugtracker2_bugowner");
	UpdatePostParameter("bugtracker2_globaluserclass");
	save_prefs();
	header("location:".e_SELF."?".e_QUERY);
	exit;
}

// load settings here
$bugtracker2_adminedit       = $pref['bugtracker2_adminedit'];
$bugtracker2_emoticons       = $pref['bugtracker2_emoticons'];
$bugtracker2_appspage        = $pref['bugtracker2_appspage'];
$bugtracker2_bugspage        = $pref['bugtracker2_bugspage'];
$bugtracker2_globalbugs      = $pref['bugtracker2_globalbugs'];
$bugtracker2_bugowner        = $pref['bugtracker2_bugowner'];
$bugtracker2_globaluserclass = $pref['bugtracker2_globaluserclass'];

// set default values here
if ($bugtracker2_adminedit=="")       { $bugtracker2_adminedit=1; }
if ($bugtracker2_emoticons=="")       { $bugtracker2_emoticons=1; }
if ($bugtracker2_appspage=="")        { $bugtracker2_appspage=20; }
if ($bugtracker2_bugspage=="")        { $bugtracker2_bugspage=20; }
if ($bugtracker2_globalbugs=="")      { $bugtracker2_globalbugs=0; }
if ($bugtracker2_bugowner=="")        { $bugtracker2_bugowner=USERID.".".USERNAME; }
if ($bugtracker2_globaluserclass=="") { $bugtracker2_globaluserclass=0; }

$app_count = $sql -> db_Count("bugtrack2_apps", "(*)");

	$dlg = new dialog;
	$dlg -> clear();
	if ($app_count == 0) {
		$dlg -> init();
		$dlg -> caption("Information for first start users!");
		$dlg -> text("There is no application defined. Please add an application.");
		$dlg -> text(button("add","Add Application",e_SELF."?0.page3"));
		$dlg -> done();
		$dlg -> html("<br>");
	}
	$dlg -> form();
	$dlg -> init();
	$dlg -> caption("General settings");

	$dlg -> columnstyle("width:25%");
	$dlg -> checkboxitem("Admin edit?","bugtracker2_adminedit",$bugtracker2_adminedit,
		"When checked all admins can edit all bugs. Unchecked very useful with edit classes.");
	$dlg -> checkboxitem("Use Emoticons?","bugtracker2_emoticons",$bugtracker2_emoticons,
		"You can only use this when you activated the emoticons in admin menu.");
	$dlg -> edititem("Apps/Page","bugtracker2_appspage",$bugtracker2_appspage,10,3);
	$dlg -> edititem("Bugs/Page","bugtracker2_bugspage",$bugtracker2_bugspage,10,3);
	$dlg -> columnstyle();
	$dlg -> text(button("submit","Save settings"));
	$dlg -> done();
	$dlg -> endform();

	$text = $dlg -> result();

// This is the first dialog which i have done. see above and compare ;)
/* $text = "
<form id='settings' method='post' action=".e_SELF."?".e_QUERY.">
<table width='100%'>
<tr><td class='forumheader3'>Use emoticons?</td>
<td class='forumheader3'>
<input type='checkbox' name='bugtracker2_emoticons' value='checked' $bugtracker2_emoticons>
You can only use this when you activated the emoticons in admin menu.
</td></tr>
<tr><td colspan='2' style='text-align:center' class='forumheader3'>
<input class='button' type='submit' name='submit' value='Save settings' />
</td></tr></table>
</form>"; */

$ns -> tablerender($title, $text);

?>
