<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/config/page2.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

$errormessage = "";

if ($command=="") { $command="view"; }

if ($command=="view") {
	$app_count = $sql -> db_Count("bugtrack2_apps", "(*)");

	$dlg = new dialog;
	$dlg -> clear();
	$dlg -> init();
	if ($app_count > 0) {
		$dlg -> columns(4);
		$dlg -> caption("Applications");
		$dlg -> startitem("text-align:center; width:5%","ID","forumheader2");
		$dlg -> nextitem("text-align:left; width:50%","Application","forumheader2");
		$dlg -> nextitem("text-align:center; width:20%","Version","forumheader2");
		$dlg -> nextitem("text-align:center; width:25%","Options","forumheader2");
		$dlg -> enditem();

		$sql -> db_Select("bugtrack2_apps", "*", "ORDER BY bugtrack2_apps_id ASC", "no_where");
		while($row = $sql -> db_Fetch()) {
			extract($row);

			$bugtrack2_apps_owner_id = substr($bugtrack2_apps_owner , 0, strpos($bugtrack2_apps_owner , "."));
			$bugtrack2_apps_owner_name = substr($bugtrack2_apps_owner , (strpos($bugtrack2_apps_owner , ".")+1));

			$dlg -> startitemc("text-align:right",$bugtrack2_apps_id);
			$dlg -> nextitemc("",$bugtrack2_apps_name.($bugtrack2_apps_visible?"":" *"));
			$dlg -> nextitemc("text-align:center",$bugtrack2_apps_version);
			$dlg -> nextitemc("text-align:center",
				button("edit","Edit",e_SELF."?".$from.".".$page.".".$bugtrack2_apps_id.".edit").
				" ".
				button("delete","Delete",e_SELF."?".$from.".".$page.".".$bugtrack2_apps_id.".delete"));
			$dlg -> enditem();
		}
	} else {
		$dlg -> caption("Applications");
		$dlg -> text("No Application created. Please press the '<b>Add Application</b>' button.");
	}
	$dlg -> text(button("add","Add Application",e_SELF."?".$from.".page3"));
	$dlg -> done();

	$text = $dlg -> result();
}

if ($command=="edit") {
	if (IsSet($_POST["edit"])) {
		$appname=$_POST["appname"];
		$appversion=$_POST["appversion"];
		$appdescription=$_POST["appdescription"];
		$appvisible=$_POST["appvisible"];
		$appeditclass=$_POST["appeditclass"];
		$appuserclass=$_POST["appuserclass"];
		$appowner=$_POST["appowner"];
		$appcategory=$_POST["appcategory"];
		$apppriority=$_POST["apppriority"];
		$appprioritycolors=$_POST["appprioritycolors"];
		$appprioritydefault=$_POST["appprioritydefault"];
		$appresolution=$_POST["appresolution"];
		$appresolutiondefault=$_POST["appresolutiondefault"];
		$appstatus=$_POST["appstatus"];
		$appstatusdefault=$_POST["appstatusdefault"];
		
		if (($appname!="")&&
			($appversion!="")&&
			($appdescription!="")&&
			($appcategory!="")&&
			($appowner!="")&&
			($apppriority!="")&&
			($appprioritycolors!="")&&
			($appprioritydefault!="")&&
			($appresolution!="")&&
			($appresolutiondefault!="")&&
			($appstatus!="")&&
			($appstatusdefault!="")) {

			$sql -> db_Update("bugtrack2_apps",	// table
				"bugtrack2_apps_name='".$appname."', ".
				"bugtrack2_apps_description='".$appdescription."', ".
				"bugtrack2_apps_version='".$appversion."', ".
				"bugtrack2_apps_visible=".($appvisible==""?"0":"1").",".
				"bugtrack2_apps_editclass=".$appeditclass.", ".
				"bugtrack2_apps_userclass=".$appuserclass.", ".
				"bugtrack2_apps_owner='".$appowner."', ".
				"bugtrack2_apps_category='".$appcategory."',".
				"bugtrack2_apps_priority_names='".$apppriority."', ".
				"bugtrack2_apps_priority_colors='".$appprioritycolors."', ".
				"bugtrack2_apps_priority_default='".$appprioritydefault."', ".
				"bugtrack2_apps_resolution='".$appresolution."',".
				"bugtrack2_apps_resolution_default='".$appresolutiondefault."', ".
				"bugtrack2_apps_status='".$appstatus."', ".
				"bugtrack2_apps_status_default='".$appstatusdefault."'".
				" WHERE bugtrack2_apps_id='$id'");
			header("location:".e_SELF."?".$from.".page2");
			exit;
		} else {
			$errormessage = "Some required fields are missing!";
		}
	} else {
		$sql -> db_Select("bugtrack2_apps", "*", "(bugtrack2_apps_id=$id)");
		$row = $sql -> db_Fetch();
		extract($row);

		$appname=$bugtrack2_apps_name;
		$appversion=$bugtrack2_apps_version;
		$appdescription=$bugtrack2_apps_description;
		$appvisible=($bugtrack2_apps_visible=="1"?"checked":"");
		$appeditclass=$bugtrack2_apps_editclass;
		$appuserclass=$bugtrack2_apps_userclass;
		$appowner=$bugtrack2_apps_owner;
		$appcategory=$bugtrack2_apps_category;
		$apppriority=$bugtrack2_apps_priority_names;
		$appprioritycolors=$bugtrack2_apps_priority_colors;
		$appprioritydefault=$bugtrack2_apps_priority_default;
		$appresolution=$bugtrack2_apps_resolution;
		$appresolutiondefault=$bugtrack2_apps_resolution_default;
		$appstatus=$bugtrack2_apps_status;
		$appstatusdefault=$bugtrack2_apps_status_default;
	}

	$dlg = new dialog;
	$dlg -> clear();
	$dlg -> form();
	$dlg -> init();
	$dlg -> caption("Edit Application");
	if ($errormessage) {
		$dlg -> text($errormessage,"text-align:center;color:red;font-weight:bold");
	}
	$dlg -> columnstyle("width:25%");
	$dlg -> edititem("Name","appname",$appname);
	$dlg -> columnstyle();
	$dlg -> edititem("Version","appversion",$appversion);
	$dlg -> memoitem("Description","appdescription",$appdescription);
	$dlg -> checkboxitem("Visible","appvisible",$appvisible,"When you uncheck this, only Admins, Owners and Editclass members see this Application");
	$dlg -> dropdownucitem("Edit Class","appeditclass",$appeditclass,"nobody,member,admin,classes");
	$dlg -> dropdownucitem("User Class","appuserclass",$appuserclass);
	$dlg -> edititem("Owner","appowner",$appowner);
	$dlg -> edititem("Category","appcategory",$appcategory);
	$dlg -> edititem("Priority","apppriority",$apppriority);
	$dlg -> edititem("Priority Colors","appprioritycolors",$appprioritycolors);
	$dlg -> edititem("Priority Default","appprioritydefault",$appprioritydefault);
	$dlg -> edititem("Resolution","appresolution",$appresolution);
	$dlg -> edititem("Resolution Default","appresolutiondefault",$appresolutiondefault);
	$dlg -> edititem("Status","appstatus",$appstatus);
	$dlg -> edititem("Status Default","appstatusdefault",$appstatusdefault);
	$dlg -> columnstyle();
	$dlg -> done();

	$dlg -> init();
	$dlg -> startitem("text-align:center; width:50%");
	$dlg -> button("edit","Save changes");
	$dlg -> nextitem("text-align:center; width:50%");
	$dlg -> button("cancel","Cancel",e_SELF."?".$from.".page2");
	$dlg -> enditem();
	$dlg -> done();
	$dlg -> endform();

	$text = $dlg -> result();
}

if ($command=="delete") {
	if (IsSet($_POST['delete'])) {
		// delete application with $id here!
		$sql -> db_Delete("bugtrack2_apps", "bugtrack2_apps_id='$id'");
		$sql -> db_Delete("bugtrack2_bugs", "bugtrack2_bugs_application='$id'");
		
		header("location:".e_SELF."?".$from.".".$page);
		exit;
	}

	$sql -> db_Select("bugtrack2_apps", "*", "(bugtrack2_apps_id=$id)");
	$row = $sql -> db_Fetch();
	extract($row);

	$dlg = new dialog;
	$dlg -> clear();
	$dlg -> form();
	$dlg -> init();
	$dlg -> caption("Delete Application");
	$dlg -> text("Do you want to <u>delete</u><br>'<b>".$bugtrack2_apps_name." ".$bugtrack2_apps_version."</b>'?<br><br>".
		"All bugs from this application are also deleted, because they will not be accessible any more!");
	$dlg -> startitem("text-align:center; width:50%");
	$dlg -> button("delete","Yes");
	$dlg -> nextitem("text-align:center; width:50%");
	$dlg -> button("cancel","No",e_SELF."?".$from.".".$page);
	$dlg -> enditem();
	$dlg -> done();
	$dlg -> endform();

	$text = $dlg -> result();
}

$ns -> tablerender($title, $text);

?>
