<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/bugtracker2_style.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** SOME OTHER SMALL STYLES                                               **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_UNKNOWNCOMMAND = "<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>Bugtracker2 Error</u></b></div><br>{UNKNOWNCOMMAND}<br>";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** APPLICATION LIST                                                      **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_APPLISTSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{APPLISTTITLE}</div>
<br>
{APPLIST}</table>";

$BUGTRACK2_APPLISTTITLESTYLE = "
<table style='width:100%'><tr>
<td style='width:8%; text-align:center' class='forumheader'><span class='defaulttext'>{APPIDTITLE}</span></td>
<td style='width:42%; text-align:center' class='forumheader'><span class='defaulttext'>{APPNAMETITLE}</span></td>
<td style='width:20%; text-align:center' class='forumheader'><span class='defaulttext'>{APPVERSIONTITLE}</span></td>
<td style='width:15%; text-align:center' class='forumheader'><span class='defaulttext'>{APPOWNERTITLE}</span></td>
<td style='width:15%; text-align:center' class='forumheader'><span class='defaulttext'>{APPBUGSTITLE}</span></td></tr>";

$BUGTRACK2_APPLISTITEMSTYLE = "
<tr><td style='text-align:center' class='forumheader3'>{APPID}</td>
<td class='forumheader3'><a href='{APPNAMELINK}'>{APPNAME}</a>{APPNOTVISIBLE}</td>
<td style='text-align:center' class='forumheader3'>{APPVERSION}</td>
<td style='text-align:center' class='forumheader3'><a href='{APPOWNERLINK}'>{APPOWNER}</a></td>
<td style='text-align:center' class='forumheader3'>{APPBUGS}</td></tr>";

$BUGTRACK2_APPLISTERRORSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{APPLISTTITLE}</div>
<br>
<div style='text-align:center; font-weight:bold'>{ERROR}</div>
";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** BUG LIST                                                              **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_BUGLISTSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{BUGLISTTITLE} {APPNAME}</div>
<br>
<table style='width:100%'><tr>
<td style='width:15%' class='forumheader'><span class='defaulttext'>{APPNAMETITLE}</span></td>
<td style='width:55%' class='forumheader3'><span class='defaulttext'>{APPNAME}</span></td>
<td style='width:10%; text-align:center' class='forumheader'><span class='defaulttext'>{APPVERSIONTITLE}</span></td>
<td style='width:20%; text-align:center' class='forumheader3'><span class='defaulttext'>{APPVERSION}</span></td></tr>
<tr><td class='forumheader'><span class='defaulttext'>{APPDESCRIPTIONTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'>{APPDESCRIPTION}</span></td>
<tr><td class='forumheader'><span class='defaulttext'>{APPOWNERTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'><a href='{APPOWNERLINK}'>{APPOWNER}</a></span></td>
</tr></table>
<br>
{BUGLIST}
<table><tr><td style='width:100px'>{BUGPRIORITYLISTTITLE}</td>{BUGPRIORITYLIST}</tr></table>
<table><tr><td style='width:100px'>{BUGSTATUSLISTTITLE}</td>{BUGSTATUSLIST}</tr></table>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{BUGSUBMITLINK}'>{BUGSUBMIT}</a>";

$BUGTRACK2_BUGLISTTITLESTYLE = "
<table style='width:100%'><tr>
<td style='width:8%; text-align:center' class='forumheader'><span class='defaulttext'>{BUGIDTITLE}</span></td>
<td style='width:35%; text-align:center' class='forumheader'><span class='defaulttext'>{BUGSUMMARYTITLE}</span></td>
<td style='width:15%; text-align:center' class='forumheader'><span class='defaulttext'>{BUGPOSTERTITLE}</span></td>
<td style='width:27%; text-align:center' class='forumheader'><span class='defaulttext'>{BUGRESOLUTIONTITLE}</span></td>
<td style='width:15%; text-align:center' class='forumheader'><span class='defaulttext'>{BUGSTATUSTITLE}</span></td>
</tr>";

$BUGTRACK2_BUGLISTITEMSTYLE = "
<tr>
<td style='padding:3px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}; text-align:center'>{BUGID}</td>
<td style='padding:3px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}; text-align:left'><a href='{BUGLINK}'>[{BUGCATEGORY}] {BUGSUMMARY}</a>{BUGNOTVISIBLE}</td>
<td style='padding:3px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}; text-align:center'><a href='{BUGPOSTERLINK}'>{BUGPOSTER}</a></td>
<td style='padding:3px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}; text-align:center'>{BUGRESOLUTION}</td>
<td style='padding:3px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}; text-align:center'><a href='{BUGSTATUSLINK}'>{BUGSTATUS}</a></td>
</tr>";

$BUGTRACK2_BUGLISTENDSTYLE = "</table>";

$BUGTRACK2_BUGLISTNOBUGSTYLE = "
<table><tr><td><b>{NOBUGFOUND}</b><br></td></tr></table>
<br>";

$BUGTRACK2_BUGLISTPRIORITYITEMSTYLE = "
<td style='text-align:center; width:20px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}'>
{BUGPRIORITYNO}</td>";

$BUGTRACK2_BUGLISTSTATUSITEMSTYLE = "
<td text-align:center'><a href='{BUGSTATUSLINK}'>{BUGSTATUS}</a>&nbsp;</td>";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** SUBMIT BUG                                                            **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_SUBMITBUGSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{SUBMITBUGTITLE} {APPNAME}</div>
<br>
<table style='width:100%'><tr>
<td style='width:15%' class='forumheader'><span class='defaulttext'>{APPNAMETITLE}</span></td>
<td style='width:55%' class='forumheader3'><span class='defaulttext'>{APPNAME}</span></td>
<td style='width:10%; text-align:center' class='forumheader'><span class='defaulttext'>{APPVERSIONTITLE}</span></td>
<td style='width:20%; text-align:center' class='forumheader3'><span class='defaulttext'>{APPVERSION}</span></td></tr>
<tr><td class='forumheader'><span class='defaulttext'>{APPDESCRIPTIONTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'>{APPDESCRIPTION}</span></td>
<tr><td class='forumheader'><span class='defaulttext'>{APPOWNERTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'><a href='{APPOWNERLINK}'>{APPOWNER}</a></span></td>
</tr></table>
<br>
<form id='submitbug' method='post' action={SELF}?{QUERY}>
<table style='width:100%'>
{APPLICATIONDROPDOWN}
<tr><td class='forumheader' style='width:15%'>{BUGPRIORITY}</td><td class='forumheader3'>{PRIORITYDROPDOWN}</td></tr>
<tr><td class='forumheader'>{BUGCATEGORY}</td><td class='forumheader3'>{CATEGORYDROPDOWN}</td></tr>
<tr><td class='forumheader'>{BUGSUMMARY}</td><td class='forumheader3'>{SUMMARYEDIT}</td></tr>
<tr><td class='forumheader' style='vertical-align:top'>{BUGDESCRIPTION}</td><td class='forumheader3'>{DESCRIPTIONEDIT}</td></tr>
{EMOTICONS}
<tr><td class='forumheader3' colspan='2' style='text-align:center'>{SUBMITBUTTON}</td></tr>
</table>
</form>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{SELF}?0.bugs.{APPID}'>{BUGBACKTOAPP} {APPNAME}</a>
";

$BUGTRACK2_SUBMITBUGERRORSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{SUBMITBUGTITLE} {APPNAME}</div>
<br>
<div style='text-align:center; font-weight:bold'>{ERROR}</div>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{SELF}?0.bugs.{APPID}'>{BUGBACKTOAPP} {APPNAME}</a>
";

$BUGTRACK2_SUBMITBUGEMOTICONSSTYLE = "
<tr><td class='forumheader' style='vertical-align:top'>{EMOTICONSTITLE}</td><td class='forumheader3'>
<input class='button' type ='button' style='cursor:hand; cursor:pointer' size='30' value='{SHOWHIDE}' onclick='expandit(this)' />
<span style='display:none;'><br>{EMOTICONS}</span>
</td></tr>";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** SUBMITTED STYLE                                                       **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_SUBMITTEDSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{BUGSUBMITTEDFOR} {APPNAME}</div>
<br>
{BUGSUBMITTEDTHANKS}<br>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{SELF}?0.bugs.{APPID}'>{BUGBACKTOAPP} {APPNAME}</a>";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** DISPLAY BUG STYLE                                                     **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_DISPLAYBUGSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{DISPLAYBUGTITLE} {APPNAME}</div>
<br>
<table style='width:100%'><tr>
<td style='width:15%' class='forumheader'><span class='defaulttext'>{APPNAMETITLE}</span></td>
<td style='width:55%' class='forumheader3'><span class='defaulttext'>{APPNAME}</span></td>
<td style='width:10%; text-align:center' class='forumheader'><span class='defaulttext'>{APPVERSIONTITLE}</span></td>
<td style='width:20%; text-align:center' class='forumheader3'><span class='defaulttext'>{APPVERSION}</span></td></tr>
<tr><td class='forumheader'><span class='defaulttext'>{APPDESCRIPTIONTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'>{APPDESCRIPTION}</span></td>
<tr><td class='forumheader'><span class='defaulttext'>{APPOWNERTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'><a href='{APPOWNERLINK}'>{APPOWNER}</a></span></td>
</tr></table>
<br>{BUGEDIT}
<table style='width:100%'>
<tr><td colspan='2' class='forumheader3'><div style='font-weight:bold; color:#AA0000'>[{BUGCATEGORY}] {BUGSUMMARY}{BUGNOTVISIBLE}</div></td></tr>
<tr><td style='width:30%' class='forumheader'>{BUGPOSTERTITLE}</td>
<td style='width:70%' class='forumheader3'><a href='{BUGPOSTERLINK}'><b>{BUGPOSTER}</b></a> {BUGDATETITLE} {BUGDATE}</td></tr>
<tr><td style='width:30%' class='forumheader'>{BUGOWNERTITLE}</td>
<td style='width:70%' class='forumheader3'><a href='{BUGOWNERLINK}'>{BUGOWNER}</a></td></tr>
<tr><td style='vertical-align:top' class='forumheader'>{BUGDESCRIPTIONTITLE}</td>
<td class='forumheader3'>{BUGDESCRIPTION}</td></tr>
<tr><td class='forumheader'>{BUGPRIORITYTITLE}</td>
<td style='padding-left:4px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}'>{BUGPRIORITY}</td></tr>
<tr><td class='forumheader'>{BUGRESOLUTIONTITLE}</td>
<td class='forumheader3'>{BUGRESOLUTION}</td></tr>
<tr><td class='forumheader'>{BUGSTATUSTITLE}</td>
<td class='forumheader3'>{BUGSTATUS}</td></tr>
<tr><td style='vertical-align:top' class='forumheader'>{BUGCOMMENTSTITLE}</td>
<td class='forumheader3'>{BUGCOMMENTS}</td></tr>
</table>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{SELF}?0.bugs.{APPID}'>{BUGBACKTOAPP} {APPNAME}</a>";

$BUGTRACK2_DISPLAYBUGEDITSTYLE = "
<div style='font-size: 10px; font-weight:bold; text-align:right'><a href='{BUGEDITLINK}'>{BUGEDITTITLE}</a></div>
";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** EDIT BUG STYLE                                                        **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_EDITBUGSTYLE = "
<form id='editbug' method='post' action={SELF}?{QUERY}>
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{EDITBUGTITLE} {APPNAME}</div>
<br>
<table style='width:100%'><tr>
<td style='width:15%' class='forumheader'><span class='defaulttext'>{APPNAMETITLE}</span></td>
<td style='width:55%' class='forumheader3'><span class='defaulttext'>{APPLICATIONDROPDOWN}</span></td>
<td style='width:10%; text-align:center' class='forumheader'><span class='defaulttext'>{APPVERSIONTITLE}</span></td>
<td style='width:20%; text-align:center' class='forumheader3'><span class='defaulttext'>{APPVERSION}</span></td></tr>
<tr><td class='forumheader'><span class='defaulttext'>{APPDESCRIPTIONTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'>{APPDESCRIPTION}</span></td>
<tr><td class='forumheader'><span class='defaulttext'>{APPOWNERTITLE}</span></td>
<td class='forumheader3' colspan='3'><span class='defaulttext'><a href='{APPOWNERLINK}'>{APPOWNER}</a></span></td>
</tr></table>
<br>
<div style='font-size: 10px; font-weight:bold; text-align:right'><a href='{BUGLINK}'>{BUGVIEWTITLE}</a></div>
<table style='width:100%'>
<tr><td colspan='3' class='forumheader3' style='font-weight:bold; color:#AA0000'>[{BUGCATEGORY}] {BUGSUMMARY}</td></tr>
<tr><td colspan='3' class='forumheader3'>{VISIBLECHECKBOX} {CATEGORYDROPDOWN} {SUMMARYEDIT}</td></tr>
<tr><td style='width:30%' class='forumheader'>{BUGPOSTERTITLE}</td>
<td colspan='2' style='width:70%' class='forumheader3'><a href='{BUGPOSTERLINK}'><b>{BUGPOSTER}</b></a> {BUGDATETITLE} {BUGDATE}</td></tr>
<tr><td style='width:30%' class='forumheader'>{BUGOWNERTITLE}</td>
<td style='width:40%' class='forumheader3'><a href='{BUGOWNERLINK}'>{BUGOWNER}</a></td>
<td style='width:30%; text-align:right' class='forumheader3'>{OWNERDROPDOWN}</td></tr>
<tr><td style='vertical-align:top' class='forumheader'>{BUGDESCRIPTIONTITLE}</td>
<td colspan='2' class='forumheader3'>{DESCRIPTIONEDIT}</td></tr>
{EMOTICONSDESCRIPTION}
<tr><td class='forumheader'>{BUGPRIORITYTITLE}</td>
<td style='padding-left:4px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}'>{BUGPRIORITY}</td>
<td style='text-align:right; padding-left:4px; border: #C3BDBD 1px solid; background-color: {BUGPRIORITYCOLOR}'>{PRIORITYDROPDOWN}</td></tr>
<tr><td class='forumheader'>{BUGRESOLUTIONTITLE}</td>
<td class='forumheader3'>{BUGRESOLUTION}</td>
<td class='forumheader3' style='text-align:right'>{RESOLUTIONDROPDOWN}</td></tr>
<tr><td class='forumheader'>{BUGSTATUSTITLE}</td>
<td class='forumheader3'>{BUGSTATUS}</td>
<td class='forumheader3' style='text-align:right'>{STATUSDROPDOWN}</td></tr>
<tr><td style='vertical-align:top' class='forumheader'>{BUGCOMMENTSTITLE}</td>
<td colspan='2' class='forumheader3'>{COMMENTSEDIT}</td></tr>
{EMOTICONSCOMMENT}
<tr><td colspan='3' style='text-align:center' class='forumheader'>{SUBMITBUTTON} {CANCELBUTTON}</td></tr>
</table>
</form>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{SELF}?0.bugs.{APPID}'>{BUGBACKTOAPP} {APPNAME}</a>";

$BUGTRACK2_EDITBUGERRORSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>{SUBMITBUGTITLE} {APPNAME}</div>
<br>
<div style='text-align:center; font-weight:bold'>{ERROR}</div>
<br>
<a href='{SELF}'>{BUGBACKTOLIST}</a> - <a href='{SELF}?0.bugs.{APPID}'>{BUGBACKTOAPP} {APPNAME}</a>
";

$BUGTRACK2_EDITBUGEMOTICONSSTYLE = "
<tr><td style='vertical-align:top' class='forumheader'>{EMOTICONSTITLE}</td>
<td colspan='2' class='forumheader3'>
<input class='button' type ='button' style='cursor:hand; cursor:pointer' size='30' value='{SHOWHIDE}' onclick='expandit(this)' />
<span style='display:none;'><br>{EMOTICONS}</span>
</td></tr>";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** EDIT APPLICATION STYLE                                                **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_EDITAPPLICATIONSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>Edit Application</div>
<br>
Not implemented now...
";

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** HELP STYLE                                                            **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$BUGTRACK2_HELPSTYLE = "
<div style='text-decoration:underline; font-weight:bold; color:#AA0000'>Help for BugTracker2</div>
<br>
None written now...
";

?>
