<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/commands/apps.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

$max = $pref['bugtracker2_appspage'];
if ($max<1) { $max=20; }

$sql2 = new db;

$applist = preg_replace($search, $replace, $BUGTRACK2_APPLISTTITLESTYLE);

if ((ADMIN)&&($pref['bugtracker2_adminedit'])) {
	$bugtrack2_apps_total = $sql -> db_Count("bugtrack2_apps");
} else {
	if (USER==FALSE) {
		$bugtrack2_apps_total = $sql -> db_Count("bugtrack2_apps","(*)",
			"WHERE (bugtrack2_apps_visible='1') and ((bugtrack2_apps_userclass=0) or (bugtrack2_apps_userclass=".e_UC_GUEST."))");
	} else {
		$userclass_array=explode(".",USERCLASS);
		$userclass = "";
		$editclass = "";
		foreach($userclass_array as $c) {
			if ($c) {
				$userclass .= " or (bugtrack2_apps_userclass=".$c.")";
				$editclass .= " or (bugtrack2_apps_editclass=".$c.")";
			}
		}

		$bugtrack2_apps_total = $sql -> db_Count("bugtrack2_apps","(*)",
			"WHERE (bugtrack2_apps_owner='".USERID.".".USERNAME."')".$editclass." or ".
			"((bugtrack2_apps_visible=1) and ((bugtrack2_apps_userclass=0) or (bugtrack2_apps_userclass=".e_UC_MEMBER.") or (bugtrack2_apps_editclass=".e_UC_MEMBER.")".$userclass."))");
	}
}

if ($bugtrack2_apps_total==0) {
	$replace[17] = BUG_APPLIST_NOAPPSFOUND;
	$text = preg_replace($search, $replace, $BUGTRACK2_APPLISTERRORSTYLE);
	$ns -> tablerender(BUG_TITLE, $text);
	exit;
}

if ((ADMIN)&&($pref['bugtracker2_adminedit'])) {
	$sql -> db_Select("bugtrack2_apps", "*", "ORDER BY bugtrack2_apps_id ASC LIMIT $from, $max", "no_where");
} else {
	if (USER==FALSE) {
		$sql -> db_Select("bugtrack2_apps", "*", "(bugtrack2_apps_visible='1') and ((bugtrack2_apps_userclass=0) or (bugtrack2_apps_userclass=".e_UC_GUEST.")) ORDER BY bugtrack2_apps_id ASC LIMIT $from, $max");
	} else {
		$sql -> db_Select("bugtrack2_apps", "*", 
			"(bugtrack2_apps_owner='".USERID.".".USERNAME."')".$editclass." or ".
			"((bugtrack2_apps_visible=1) and ((bugtrack2_apps_userclass=0) or (bugtrack2_apps_userclass=".e_UC_MEMBER.")".$userclass.")) ".
			"ORDER BY bugtrack2_apps_id ASC LIMIT $from, $max");
	}
}

while($row = $sql -> db_Fetch()) {
	extract($row);

	$bugtrack2_apps_owner_id = substr($bugtrack2_apps_owner , 0, strpos($bugtrack2_apps_owner , "."));
	$bugtrack2_apps_owner_name = substr($bugtrack2_apps_owner , (strpos($bugtrack2_apps_owner , ".")+1));

	$replace[6] = $bugtrack2_apps_name;
	$replace[7] = $bugtrack2_apps_version;
	$replace[8] = $bugtrack2_apps_owner_name;
	if (((ADMIN)&&($pref['bugtracker2_adminedit']))||
		($bugtrack2_apps_owner_id==USERID)) {
		$replace[9] = $sql2 -> db_Count("bugtrack2_bugs","(*)","WHERE bugtrack2_bugs_application='$bugtrack2_apps_id'");
	} else {
		$replace[9] = $sql2 -> db_Count("bugtrack2_bugs","(*)","WHERE (bugtrack2_bugs_application='$bugtrack2_apps_id') and (bugtrack2_bugs_visible='1')");
		$replace[9] = $replace[9] + $sql2 -> db_Count("bugtrack2_bugs","(*)","WHERE (bugtrack2_bugs_application='$bugtrack2_apps_id') and (bugtrack2_bugs_visible='0') and (bugtrack2_bugs_owner='".USERID.".".USERNAME."')");
	}
	$replace[10] = $bugtrack2_apps_description;
	$replace[12] = $bugtrack2_apps_id;

	$replace[13] = e_SELF."?0.bugs.".$bugtrack2_apps_id;
	$replace[14] = e_BASE."user.php?id.".$bugtrack2_apps_owner_id;
	$replace[16] = "";

	if (!$bugtrack2_apps_visible) { $replace[16] = BUG_APPLIST_NOTVISIBLE; }
	$applist .= preg_replace($search, $replace, $BUGTRACK2_APPLISTITEMSTYLE);

}

$replace[0] = $applist;

$text = preg_replace($search, $replace, $BUGTRACK2_APPLISTSTYLE);

$ns -> tablerender(BUG_TITLE_APPLIST, $text);

require_once(e_HANDLER."np_class.php");
$ix = new nextprev("bugtracker2.php", $from, $max, $bugtrack2_apps_total, "Applications", "apps");

?>
