<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/commands/editbug.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** FUNCTIONS                                                             **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

function emote2($add="addtext"){
	$sql = new db;
	$sql -> db_Select("core", "*", "e107_name='emote'");
	$row = $sql -> db_Fetch(); extract($row);
	$emote = unserialize($e107_value);
	$str="<br />";
	$c=0;
	while(list($code, $name) = @each($emote[$c])){
		if(!$orig[$name]){
			$code = htmlentities($code);
			$str .= "\n<a href=\"javascript:$add(' $code')\"><img src=\"".e_IMAGE."emoticons/$name\" style=\"border:0; padding-top:2px;\" alt=\"\" /></a> ";
			$orig[$name] = TRUE;
		}
		$c++;
	}
	return $str;
}

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** SECURITY CHECKS                                                       **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

// get bug
$sql -> db_Select("bugtrack2_bugs","*","bugtrack2_bugs_id=$id");
$row = $sql -> db_Fetch();
extract($row);

$bugtrack2_bugs_owner_id = substr($bugtrack2_bugs_owner , 0, strpos($bugtrack2_bugs_owner , "."));
$bugtrack2_bugs_owner_name = substr($bugtrack2_bugs_owner , (strpos($bugtrack2_bugs_owner , ".")+1));
$bugtrack2_bugs_poster_id = substr($bugtrack2_bugs_poster , 0, strpos($bugtrack2_bugs_poster , "."));
$bugtrack2_bugs_poster_name = substr($bugtrack2_bugs_poster , (strpos($bugtrack2_bugs_poster , ".")+1));

// get app for user check
$sql -> db_Select("bugtrack2_apps","*","bugtrack2_apps_id=$bugtrack2_bugs_application");
$row = $sql -> db_Fetch();
extract($row);

$bugtrack2_apps_owner_id = substr($bugtrack2_apps_owner , 0, strpos($bugtrack2_apps_owner , "."));
$bugtrack2_apps_owner_name = substr($bugtrack2_apps_owner , (strpos($bugtrack2_apps_owner , ".")+1));

$access = FALSE;

// user access for this bug edit
if ((ADMIN)&&($pref['bugtracker2_adminedit'])) { $access = TRUE; }
if ($bugtrack2_apps_owner_id==USERID) { $access = TRUE; }
if ($bugtrack2_bugs_owner_id==USERID) { $access = TRUE; }
if (check_class($bugtrack2_apps_editclass)) { $access = TRUE; }

// kill out of range problem
if ($bugtrack2_bugs_id==0) { $access = FALSE; }

// no access go home
if (!$access) {
	header("location:".e_SELF);
	exit;
}

// ***************************************************************************
// ***************************************************************************
// **                                                                       **
// ** EDIT FUNCTION WITH FORMULAR AND STYLE                                 **
// **                                                                       **
// ***************************************************************************
// ***************************************************************************

$gen = new convert;

// cancel editing here
if (IsSet($_POST['cancel'])) {
	$text = "";
	header("location:".e_SELF."?0.bug.".$id);
	exit;
}

// submit editing here
if (IsSet($_POST['submit'])) {
	$aj = new textparse;
	$summary = $aj -> formtpa($_POST['summary'], "public");
	$description = $aj -> formtpa($_POST['description'], "public");

	$sql -> db_Update("bugtrack2_bugs", "bugtrack2_bugs_category='".$_POST['category']."', bugtrack2_bugs_summary='".$summary."', bugtrack2_bugs_priority='".$_POST['priority']."', bugtrack2_bugs_resolution='".$_POST['resolution']."', bugtrack2_bugs_status='".$_POST['status']."', bugtrack2_bugs_comment='".$_POST['comments']."', bugtrack2_bugs_owner='".$_POST['owner']."', bugtrack2_bugs_visible='".$_POST['visible']."', bugtrack2_bugs_application='".$_POST['application']."', bugtrack2_bugs_description='".$description."' WHERE bugtrack2_bugs_id='$id' ");
	header("location:".e_SELF."?0.editbug.".$id);
	exit;
}

// get all users for dropdown
$owners = "<select name='owner' class='tbox'>";
$sql -> db_Select("user","*");
while($row = $sql -> db_Fetch()) {
	extract($row);
	if (!$user_ban) {
		if ($user_id==$bugtrack2_bugs_owner_id) {
			$owners .= "<option value='".$user_id.".".$user_name."' selected>$user_name</option>";
		} else {
			$owners .= "<option value='".$user_id.".".$user_name."'>$user_name</option>";
		}
	}
}
$owners .= "</select>";

// get all apps for dropdown
$applications = "<select name='application' class='tbox'>";
$sql -> db_Select("bugtrack2_apps","*");
while($row = $sql -> db_Fetch()) {
	extract($row);
	if ($bugtrack2_bugs_application==$bugtrack2_apps_id) {
		$applications .= "<option value='".$bugtrack2_apps_id."' selected>$bugtrack2_apps_name $bugtrack2_apps_version</option>";
	} else {
		$applications .= "<option value='".$bugtrack2_apps_id."'>$bugtrack2_apps_name $bugtrack2_apps_version</option>";
	}
}
$applications .= "</select>";

// get app
$sql -> db_Select("bugtrack2_apps","*","bugtrack2_apps_id=$bugtrack2_bugs_application");
$row = $sql -> db_Fetch();
extract($row);

$category_array=explode(",",$bugtrack2_apps_category);
$priority_color_array=explode(",",$bugtrack2_apps_priority_colors);
$priority_array=explode(",",$bugtrack2_apps_priority_names);
$resolution_array=explode(",",$bugtrack2_apps_resolution);
$status_array=explode(",",$bugtrack2_apps_status);

$bugtrack2_apps_owner_id = substr($bugtrack2_apps_owner , 0, strpos($bugtrack2_apps_owner , "."));
$bugtrack2_apps_owner_name = substr($bugtrack2_apps_owner , (strpos($bugtrack2_apps_owner , ".")+1));

$category ="<select name='category' class='tbox'>";
foreach($category_array as $c) {
	if ($c) {
		if ($c==$bugtrack2_bugs_category) {
			$category .= "<option value='".$c."' selected>".$c."</option>";
		} else {
			$category .= "<option value='".$c."'>".$c."</option>";
		}
	}
}
$category .= "</select>";

$priority ="<select name='priority' class='tbox'>";
$a = 1;
foreach($priority_array as $c) {
	if ($c) {
		if ($a==$bugtrack2_bugs_priority) {
			$priority .= "<option value='".$a."' selected>".$c."</option>";
		} else {
			$priority .= "<option value='".$a."'>".$c."</option>";
		}
		$a = $a+1;
	}
}
$priority .= "</select>";

$status ="<select name='status' class='tbox'>";
$a = 0;
foreach($status_array as $c) {
	if ($c) {
		if ($a==$bugtrack2_bugs_status) {
			$status .= "<option value='".$a."' selected>".$c."</option>";
		} else {
			$status .= "<option value='".$a."'>".$c."</option>";
		}
		$a = $a+1;
	}
}
$status .= "</select>";

$resolution ="<select name='resolution' class='tbox'>";
$a = 0;
foreach($resolution_array as $c) {
	if ($a==$bugtrack2_bugs_resolution) {
		$resolution .= "<option value='".$a."' selected>".$c."</option>";
	} else {
		$resolution .= "<option value='".$a."'>".$c."</option>";
	}
	$a = $a+1;
}
$resolution .= "</select>";

$replace[13] = e_BASE."user.php?id.".$bugtrack2_apps_owner_id;
$replace[14] = $bugtrack2_bugs_application;
$replace[15] = $bugtrack2_apps_name;
$replace[16] = $bugtrack2_apps_owner_name;
$replace[17] = $bugtrack2_apps_description;
$replace[18] = $bugtrack2_apps_version;
$replace[20] = e_SELF;

$replace[21] = $bugtrack2_bugs_id;
$replace[22] = $bugtrack2_bugs_category;
$replace[23] = $bugtrack2_bugs_summary;
$replace[24] = $bugtrack2_bugs_owner_name;
$replace[25] = e_BASE."user.php?id.".$bugtrack2_bugs_owner_id;
$replace[26] = $resolution_array[$bugtrack2_bugs_resolution];
$replace[27] = $status_array[$bugtrack2_bugs_status];
$replace[28] = $SELF."?0.bug.".$bugtrack2_bugs_id;
$replace[29] = $priority_array[$bugtrack2_bugs_priority-1];
$replace[30] = $priority_color_array[$bugtrack2_bugs_priority-1];
$replace[31] = $bugtrack2_bugs_poster_name;
$replace[32] = e_BASE."user.php?id.".$bugtrack2_bugs_poster_id;
$replace[35] = $gen->convert_date($bugtrack2_bugs_datestamp, "long");
$replace[36] = ($bugtrack2_bugs_description?$bugtrack2_bugs_description:"None");
$replace[37] = ($bugtrack2_bugs_comment?$bugtrack2_bugs_comment:"None");

$replace[41] = $category;
$replace[42] = "<input class='tbox' type='text' name='summary' size='60' value='".$bugtrack2_bugs_summary."' maxlength='100'>";
$replace[43] = "<textarea class='tbox' name='description' cols='60' rows='10'>".$bugtrack2_bugs_description."</textarea>";
$replace[44] = $priority;
$replace[45] = $resolution;
$replace[46] = $status;
$replace[47] = "<textarea class='tbox' name='comments' cols='60' rows='10'>".$bugtrack2_bugs_comment."</textarea>";
$replace[48] = "<input class='button' type='submit' name='submit' value='".BUG_BUGEDIT_SUBMITBUTTON."' />";
$replace[49] = $owners;
if ($bugtrack2_bugs_visible) {
	$replace[50] = "<input type='checkbox' name='visible' value='1' checked>";
} else {
	$replace[50] = "<input type='checkbox' name='visible' value='1'>";
}
$replace[51] = $applications;
$replace[52] = "<input class='button' type='submit' name='cancel' value='".BUG_BUGEDIT_CANCELBUTTON."' />";
$replace[53] = e_QUERY;

if ($pref['bugtracker2_emoticons']) {
	$replace[60] = emote2();
	$replace[57] = preg_replace($search, $replace, $BUGTRACK2_EDITBUGEMOTICONSSTYLE);
	$replace[60] = emote2("addtextc");
	$replace[58] = preg_replace($search, $replace, $BUGTRACK2_EDITBUGEMOTICONSSTYLE);

	// add script here for emoticons
	echo "
<script type='text/javascript'>
function addtext(sc){
	document.getElementById('editbug').description.value +=sc;
}
function addtextc(sc){
	document.getElementById('editbug').comments.value +=sc;
}
</script>";
}

// display information without editing
$text = preg_replace($search, $replace, $BUGTRACK2_EDITBUGSTYLE);

$ns -> tablerender(BUG_TITLE_BUGEDIT.$id, $text);

?>
