<?php
/*
+---------------------------------------------------------------+
|	e107 website system
|	/plugin.php
|
|	 Torsten Stelling 2004
|	http://www.dev0.de
|	murphy@dev0.de
|
|	Released under the terms and conditions of the
|	GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

// Plugin info ---------------------------------------------------------------
$eplug_name = "Bugtracker2";
$eplug_version = "1.0";
$eplug_author = "murphy";
$eplug_logo = "images/bug.png";
$eplug_url = "http://www.dev0.de";
$eplug_email = "murphy@dev0.de";
$eplug_description = "Bugtracker plugin allows users of your applications to posts bugs and allows admin to set bug options etc.";
$eplug_compatible = "e107v6";
$eplug_readme = "readme.txt";        // leave blank if no readme file

// Name of the plugin's folder -----------------------------------------------
$eplug_folder = "bugtracker2";

// Mane of menu item for plugin ----------------------------------------------
$eplug_menu_name = "";

// Name of the admin configuration file --------------------------------------
$eplug_conffile = "config/adminconfig.php";

// Icon image and caption text -----------------------------------------------
$eplug_icon = $eplug_folder."/images/bug.png";
$eplug_caption =  "Configure Bugtracker2";

// List of preferences -------------------------------------------------------
$eplug_prefs = array(
//        "BUGTRACKER2_1" => 0 // this stores a default value in the preferences.0 = off , 1= On
	"bugtracker2_adminedit" => 1,
	"bugtracker2_emoticons" => 1,
	"bugtracker2_appspage" => 20,
	"bugtracker2_bugspage" => 20,
	"bugtracker2_globalbugs" => 0,
	"bugtracker2_bugowner" => USERID.".".USERNAME
);

// List of table names -------------------------------------------------------
$eplug_table_names = array("bugtrack2_bugs","bugtrack2_apps");

// List of sql requests to create tables -------------------------------------
$eplug_tables = array(
"CREATE TABLE ".MPREFIX."bugtrack2_bugs (
  bugtrack2_bugs_id int(10) unsigned NOT NULL auto_increment,
  bugtrack2_bugs_datestamp int(10) unsigned NOT NULL default '0',
  bugtrack2_bugs_poster varchar(100) NOT NULL default '',
  bugtrack2_bugs_owner varchar(100) NOT NULL default '',
  bugtrack2_bugs_visible tinyint(1) NOT NULL default '0',
  bugtrack2_bugs_application int(10) unsigned NOT NULL default 0,
  bugtrack2_bugs_category varchar(100) NOT NULL default '',
  bugtrack2_bugs_summary varchar(200) NOT NULL default '',
  bugtrack2_bugs_description text NOT NULL,
  bugtrack2_bugs_priority tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_bugs_resolution tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_bugs_status tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_bugs_comment text NOT NULL,
  PRIMARY KEY  (bugtrack2_bugs_id)
) TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."bugtrack2_apps (
  bugtrack2_apps_id int(10) unsigned NOT NULL auto_increment,
  bugtrack2_apps_name varchar(100) NOT NULL default '',
  bugtrack2_apps_description text NOT NULL,
  bugtrack2_apps_version varchar(50) NOT NULL default '',
  bugtrack2_apps_visible tinyint(1) unsigned NOT NULL default '0',
  bugtrack2_apps_editclass tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_apps_userclass tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_apps_owner varchar(100) NOT NULL default '',
  bugtrack2_apps_category varchar(200) NOT NULL default '',
  bugtrack2_apps_priority_names varchar(200) NOT NULL default '',
  bugtrack2_apps_priority_colors varchar(200) NOT NULL default '',
  bugtrack2_apps_priority_default tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_apps_resolution varchar(200) NOT NULL default '',
  bugtrack2_apps_resolution_default tinyint(3) unsigned NOT NULL default '0',
  bugtrack2_apps_status varchar(200) NOT NULL default '',
  bugtrack2_apps_status_default tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (bugtrack2_apps_id)
) TYPE=MyISAM;");

// Create a link in main menu (yes=TRUE, no=FALSE) ---------------------------
$eplug_link = FALSE;
$eplug_link_name = "Bugtracker2";
$eplug_link_url = e_PLUGIN.$eplug_folder."/bugtracker2.php";

// Text to display after plugin successfully installed -----------------------
$eplug_done = "Installation of <b>$eplug_name</b> version <b>$eplug_version</b> was successful...";

// upgrading ...

$upgrade_add_prefs = "";

$upgrade_remove_prefs = "";

$upgrade_alter_tables = "";

$eplug_upgrade_done = "";

?>
